﻿<%@ Page Language="C#" %>

<%@ Register Assembly="Ektron.Cms.Controls" Namespace="Ektron.Cms.Controls" TagPrefix="CMS" %>

<!DOCTYPE html>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!String.IsNullOrEmpty(Request.QueryString["pageid"]))
        {
            cmsMessageBoard.DynamicObjectParameter = "pageid";
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Messageboard Test Template</title>
</head>
<body>
    <form id="form1" runat="server">
        <h4>Basic example of a messageboard control for testing. To access messageboard for a content item enter an id in the querystring. For pagebuilder it works off of pageid (ex http://site.com/messageboard.aspx?id=30)</h4>
        <CMS:MessageBoard ID="cmsMessageBoard" runat="server" DynamicObjectParameter="id" EnablePaging="True" />
    </form>
</body>
</html>
